# create

abstract fun create(dependencyConstraintNotation: Any): DependencyConstraint

Creates a dependency constraint without adding it to a configuration.

#### Parameters

dependencyConstraintNotation

The dependency constraint notation.

abstract fun create(dependencyConstraintNotation: Any, configureAction: Action<in DependencyConstraint>): DependencyConstraint

Creates a dependency constraint without adding it to a configuration, and configures the dependency constraint using the given closure.

#### Parameters

dependencyConstraintNotation

The dependency constraint notation.

configureAction

The closure to use to configure the dependency.